This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 204112 - Review Request: ochusha - A GTK+ 2ch.net BBS Browser
Review Request: ochusha - A GTK+ 2ch.net BBS Browser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-25 12:59 EDT by Mamoru TASAKA
Modified: 2008-10-19 18:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-27 06:42:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
Rebuild log of ochusha in mock (240.39 KB, text/plain)
2006-08-25 13:04 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2006-08-25 12:59:22 EDT
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/ochusha.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/ochusha-0.5.8.2-1.src.rpm
Description: 
The ochusha is BBS, especially 2ch.net, browser with GUI.
It uses the GTK+ toolkit for all of its interface needs.
The ochusha offers a sort of features such as multi-level
popup view of `response's, inlining and popup view of
images that helps users to interact with BBSs.

-----------------------------
Note: Details of 2ch are on
http://en.wikipedia.org/wiki/2channel

From en wikipedia:
2channel is thought to be the largest Internet forum in the world.
With over 10 million visitors every day (as of 2001), 
it is gaining significant influence in Japanese society, approaching 
that of traditional mass media such as television, radio, and magazines.
Comment 1 Mamoru TASAKA 2006-08-25 13:04:18 EDT
Created attachment 134937 [details]
Rebuild log of ochusha in mock

* This package can be rebuilt in mock.
* rpmlint is silent.
Comment 3 Chitlesh GOORAH 2006-08-26 13:10:56 EDT
MUST Items:

- MUST: rpmlint's output is clean
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (BSD) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} .
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.

****

For the installed icons to show up in GNOME/KDE menus right after package
installation, and speeds up GTK+ applications' access to the icons, you should
add (below) in your spec file

Requires(post):   %{_bindir}/gtk-update-icon-cache
Requires(postun): %{_bindir}/gtk-update-icon-cache

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications


****

- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No subpackages present.

Comment 4 Mamoru TASAKA 2006-08-26 13:57:31 EDT
Well, actually the icon of ochusha was not under
%{_datadir}/icons/hicolor, so I created a symlink
and added gtk-update-icon-cache entry.

Updated:
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/ochusha.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/ochusha-0.5.8.2-3.src.rpm
Comment 5 Chitlesh GOORAH 2006-08-27 06:10:01 EDT
This package ochusha-0.5.8.2-3 has been approuved
Comment 6 Mamoru TASAKA 2006-08-27 06:20:02 EDT
Thank you for very quick review!!

Now I try to import to buildsys.
Comment 7 Mamoru TASAKA 2006-08-27 06:42:25 EDT
Well:

* build for devel succeeded.
http://buildsys.fedoraproject.org/build-status/job.psp?uid=14640
* SyncNeeded is requested for FE-5.

Now I close this bug as CLOSED NEXTRELEASE.
Thank you.
Comment 8 Mamoru TASAKA 2008-10-17 00:45:00 EDT
Package Change Request
======================
Package Name: ochusha
New Branches: F-10
Owners: mtasaka

Early branching request.
Comment 9 Kevin Fenzi 2008-10-19 18:59:54 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.